API ReferenceRisk
Retrieves a Risk resource
GET
Retrieves a Risk resource
apiKeyheader
Authorization<token>Value for the Authorization header parameter.
id*stringRisk identifier
Risk resource
- response
id?stringFormat
uuidname?stringLength
length <= 100description?|Length
length <= 100000probability?integer|nulldate?|Format
date-timecreatedAt?|Format
date-timeupdatedAt?|Format
date-timeprojectUser?|nullproject?stringFormat
uuidprojectName?stringLength
length <= 100projectShortCode?stringLength
6 <= length <= 6projectIsSimple?booleanstage?|Format
uuidstageName?|Length
length <= 100board?|Format
uuidboardName?|Length
length <= 100boardShortCode?|Length
6 <= length <= 6task?|Format
uuidtaskName?|Length
length <= 150taskShortCode?|Length
6 <= length <= 6type?|Format
uuidtypeName?|Length
length <= 100impact?|Format
uuidimpactName?|Length
length <= 100curl -X GET 'https://app.icproject.com/api/instance/demo/project/risks/string'Example Response
{ "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "name": "string", "description": "string", "probability": 0, "date": "2019-08-24T14:15:22Z", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "projectUser": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "shortCode": "string", "firstName": "string", "lastName": "string", "email": "string", "phoneNumber": "string", "pictureSm": "string", "pictureLg": "string" }, "project": "9ec8a81a-31b2-4a83-bcd8-cef9150932d2", "projectName": "string", "projectShortCode": "string", "projectIsSimple": true, "stage": "9f09bdb0-89bd-4a1a-b468-0312474f1023", "stageName": "string", "board": "a98884d6-3c76-4114-ba9c-216527a5aac1", "boardName": "string", "boardShortCode": "string", "task": "4879b8a6-fb3e-4a0d-aef8-b0ea469ac85c", "taskName": "string", "taskShortCode": "string", "type": "4595bf66-18b2-445a-a884-1b08d0c2df0e", "typeName": "string", "impact": "4f76d8c5-a77a-40a5-b154-4cb5b989b7aa", "impactName": "string"}